Bug 171392 - NetworkManagerInfo hangs (and blocks input to other stuff) if you're not careful how you click
NetworkManagerInfo hangs (and blocks input to other stuff) if you're not care...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-21 09:51 EDT by Kristian Harms
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-28 09:44:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kristian Harms 2005-10-21 09:51:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; nb-NO; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I first noticed this bug when using the NetworkManger that is current in FC4, which I seem to remember being 0.3, right?

The problem is that sometimes, if you're not careful how you click on the tray icon (NetworkManagerInfo), you end up with a super-tiny popup menu, with no items in it, and this little popup has input focus, which it won't relinquish.

The practical upshot of this is that no other elements of the desktop can be clicked.  Clicking the super-tiny menu has no effect.

For most users, this is equivalent with a computer crash requiring a hard reboot.  Some of us know that ctrl-alt-f1, login, killall NetworkManagerInfo will work around the problem.  However, most people don't know this.  Therefore, i reckon this bug as critical.

I upgraded to NetworkManager 0.5 yesterday, and I saw the bug again today.

Version-Release number of selected component (if applicable):
NetworkManager-0.5.0-1.FC4.1 but also on the version that ships with NetworkManager

How reproducible:
Sometimes

Steps to Reproduce:
I've seen the bug two times, once on 0.3 (the default FC4 version) and once on 0.5 drawn from updates-testing.

1. Do some odd mouse action on the tray icon, like clicking two times rapidly on the tray icon when you've not touched it in a while (probably swapped out).  This is what I did today.  I can't remember the exact circumstances of the first time I saw the behaviour but I think I had the normal drop-down menu and maybe did something odd to it, like clicking too fast or in a bad spot.  

Actual Results:  I get a little, tiny drop-down menu from the tray icon, which has mouse/keyboard focus which it will not relinquish, basically hanging the desktop.

Expected Results:  The tray icon should never enter such a state, instead it should be able to cope with all kinds of odd mouse usage without hanging the desktop.

Additional info:
Comment 1 Tom London 2006-01-23 10:42:38 EST
I am also seeing this issue randomly with NetworkManager-0.5.1-5.1
Comment 2 Christian Iseli 2007-01-22 05:52:45 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Matěj Cepl 2007-09-28 09:44:04 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.